Man-in-the-Middle (MitM) Affecting microsoft.azure.iothub.iothubclient Open this link in a new tab package, versions [1.0.0,1.2.9)


0.0
high
  • Attack Complexity

    High

  • Confidentiality

    High

  • Integrity

    High

  • Availability

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-MICROSOFTAZUREIOTHUBIOTHUBCLIENT-174431

  • published

    18 Apr 2019

  • disclosed

    11 Sep 2018

  • credit

    Unknown

How to fix?

Upgrade Microsoft.Azure.IoTHub.IoTHubClient to version 1.2.9 or higher.

Overview

Microsoft.Azure.IoTHub.IoTHubClient is a Microsoft Azure IoTHub Client.

Affected versions of this package are vulnerable to Man-in-the-Middle (MitM). An attacker can perform impersonation of the server because the package does not enforce HTTP certificates properly.